View Issue Details

IDProjectCategoryLast Update
0019584AI War 2[All Projects] Crash/ExceptionJul 2, 2018 12:48 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.721-0.722 Down The Wormhole 
Fixed in Version0.747 Improper Handling Of Forcefields 
Summary0019584: crash after game loss: hovertext
DescriptionI was trying to test my changes to make the nanocaust keep chugging along after you died. I suicided my ark into the AI and then immediately hit some crashes:
Exception: window: Window_InGameHoverEntityInfo
System.NullReferenceException: Object reference not set to an instance of an object
  at TMPro.TextMeshProUGUI.GenerateTextMesh () [0x00000] in <filename unknown>:0
  at TMPro.TextMeshProUGUI.GetTextInfo (System.String text) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI.CalculateHeightOfTextMeshProUGUIText (TMPro.TextMeshProUGUI text, System.String TextToMeasure) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Text.DoSizingOfRelevantRectHeightToText () [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Text.OnUpdate_Subclass (Single DeltaTime) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Element.UpdateFromUI (Single DeltaTime) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Window.OnUpdate (Single DeltaTime) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI.OnUpdateFromMainThread () [0x00000] in <filename unknown>:0 ^M
Stack Trace: Arcen.Universal.ArcenUI.OnUpdateFromMainThread ()
Arcen.Universal.Engine_Universal.OnUpdateFromMainThread ()
ArcenGameController.Update () (at D:/vclarge/AI_War_2_Ultra/AIW2Unity/Assets/ArcenCode/ArcenGameController.cs:59)
^M
                                                                                                                                                                                                                                                             
                                                                                                                                                                                                                                                             
   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity)
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity)
   at Arcen.Universal.Engine_Universal.LogWritten(System.String LogString, System.String StackTrace, LogType Type, System.Exception Cause, Boolean CameFromUnity)
   at Arcen.Universal.Engine_Universal.LogWrittenFromUnity(System.String LogString, System.String StackTrace, LogType Type)
   at UnityEngine.Application.CallLogCallback(System.String logString, System.String stackTrace, LogType type, Boolean invokedOnMainThread)
TagsNo tags attached.

Relationships

related to 0019459 resolvedx4000Bughunter "You Lose" text to be higher than the rest of the GUI. 

Activities

x4000Bughunter

Apr 11, 2018 9:34 pm

administrator   ~0047413

This is because of the GUI being hidden when the "you have lost" text is shown. I plan on changing that, now that we're not using overlay gui mode for the gui. Now that that's in camera space, I can make non-gui things that are higher than the gui, and this problem will thus go away. Sorry about that, in the meantime. Unity chokes and dies when a control that is invisible tries to measure the size of text.

BadgerBadger

Apr 11, 2018 10:41 pm

manager   ~0047414

Fair enough. I was going to try to make the Nanocaust be interesting after the game ended like ovalcircle wanted, but I guess it will have to wait cause I can't test it. No worries.

x4000Bughunter

Apr 12, 2018 11:10 am

administrator   ~0047415

If you want to make it not hide the GUI anymore, then give me a savegame right before death so I can get the layering right, then we'll be halfway there. You can start doing your stuff as soon as the not-hiding-gui bit is in there, and I'll get the display layering done after that as I have time.

x4000Bughunter

Jul 2, 2018 12:48 pm

administrator   ~0047695

* Because of some changes in the overlay camera hierarchy a while ago, the "You lose text" now shows above the GUI, which is what we've desired for a while.
** Thanks to this, we no longer have to hide the GUI after a game loss; the GUI should never be completely hidden using the methods that we were using at the time, because it leads to "hovertext crashes," among other crashes. The in-game hide GUI button never had this problem.

Issue History

Date Modified Username Field Change
Apr 11, 2018 8:56 pm BadgerBadger New Issue
Apr 11, 2018 8:56 pm BadgerBadger Status new => assigned
Apr 11, 2018 8:56 pm BadgerBadger Assigned To => x4000Bughunter
Apr 11, 2018 9:34 pm x4000Bughunter Note Added: 0047413
Apr 11, 2018 10:41 pm BadgerBadger Note Added: 0047414
Apr 12, 2018 11:10 am x4000Bughunter Note Added: 0047415
Jul 2, 2018 12:48 pm x4000Bughunter Relationship added related to 0019459
Jul 2, 2018 12:48 pm x4000Bughunter Status assigned => resolved
Jul 2, 2018 12:48 pm x4000Bughunter Resolution open => fixed
Jul 2, 2018 12:48 pm x4000Bughunter Fixed in Version => 0.747 Improper Handling Of Forcefields
Jul 2, 2018 12:48 pm x4000Bughunter Note Added: 0047695